#include <iostream>
#include <cmath>

using namespace std;

int poznanstva[100000];

int main()
{
    int N, M, A[100000], parovi1[100000], parovi2[100000];
    int najveci = 0;
    int brojac = 0;
    int sreca = 0;
    cin >> N >> M;
    for (int i = 0; i < N; i++)
    {
        cin >> A[i];
        if (abs(najveci) < abs(A[i]))
        {
            najveci = A[i];
        }
    }
    for (int i = 0; i < M; i++)
    {
        cin >> parovi1[i] >> parovi2[i];
    }
    for (int i = 0; i < N; i++)
    {
        for (int j = 0; j < M; j++)
        {
            if (i+1 == parovi1[j] || i+1 == parovi2[j])
            {
                poznanstva[brojac]++;
            }
        }
        brojac++;
    }
    if (najveci >= 0)
    {
        for (int i = 0; i < N; i++)
        {
            sreca = sreca + A[i]*(poznanstva[i] - 0);
        }
    }
    else if (najveci < 0)
    {
        for (int i = 0; i < N; i++)
        {
            sreca = sreca + A[i]*(0 - poznanstva[i]);
        }
    }
    cout << sreca;


}